List users
import requests
url = "https://{FUSION_HOST}/api/users"
response = requests.get(url)
print(response.text)HttpResponse<String> response = Unirest.get("https://{FUSION_HOST}/api/users")
.asString();const options = {method: 'GET'};
fetch('https://{FUSION_HOST}/api/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION_HOST}/api/users")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION_HOST}/api/users"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION_HOST}/api/users",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request GET \
--url https://{FUSION_HOST}/api/users[
{
"id": "e17170e6-9141-4bb2-be87-22d3fa8b6f64",
"name": "lw-ai",
"createdAt": "2024-09-25T14:39:25Z",
"updatedAt": "2025-08-07T23:17:32Z",
"permissions": [
{
"methods": [
"PUT",
"POST",
"GET",
"HEAD"
],
"path": "/lw-docs/**"
},
{
"methods": [
"POST"
],
"path": "/lw-docs"
}
],
"uiPermissions": []
},
{
"id": "0a61a9e1-6004-4c1b-bdf6-3f2f2ded1438",
"name": "admin",
"createdAt": "2023-10-05T20:09:50Z",
"desc": "Full access to every service. This is the super-admin role.",
"permissions": [
{
"methods": [
"PUT",
"POST",
"GET",
"DELETE",
"PATCH",
"HEAD"
],
"path": "/**"
},
{
"methods": [
"PUT",
"POST",
"GET",
"DELETE",
"HEAD"
],
"path": "/solrAdmin/**"
}
],
"uiPermissions": [
"*"
]
}
]List users
Fetch the list of users, optionally filtered by name or realm.
GET
/
users
List users
import requests
url = "https://{FUSION_HOST}/api/users"
response = requests.get(url)
print(response.text)HttpResponse<String> response = Unirest.get("https://{FUSION_HOST}/api/users")
.asString();const options = {method: 'GET'};
fetch('https://{FUSION_HOST}/api/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION_HOST}/api/users")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION_HOST}/api/users"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION_HOST}/api/users",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request GET \
--url https://{FUSION_HOST}/api/users[
{
"id": "e17170e6-9141-4bb2-be87-22d3fa8b6f64",
"name": "lw-ai",
"createdAt": "2024-09-25T14:39:25Z",
"updatedAt": "2025-08-07T23:17:32Z",
"permissions": [
{
"methods": [
"PUT",
"POST",
"GET",
"HEAD"
],
"path": "/lw-docs/**"
},
{
"methods": [
"POST"
],
"path": "/lw-docs"
}
],
"uiPermissions": []
},
{
"id": "0a61a9e1-6004-4c1b-bdf6-3f2f2ded1438",
"name": "admin",
"createdAt": "2023-10-05T20:09:50Z",
"desc": "Full access to every service. This is the super-admin role.",
"permissions": [
{
"methods": [
"PUT",
"POST",
"GET",
"DELETE",
"PATCH",
"HEAD"
],
"path": "/**"
},
{
"methods": [
"PUT",
"POST",
"GET",
"DELETE",
"HEAD"
],
"path": "/solrAdmin/**"
}
],
"uiPermissions": [
"*"
]
}
]Query Parameters
Response
200 - */*
OK
Was this page helpful?